## List Gateways `client.AIGateway.List(ctx, params) (*V4PagePaginationArray[AIGatewayListResponse], error)` **get** `/accounts/{account_id}/ai-gateway/gateways` Lists all AI Gateway evaluator types configured for the account. ### Parameters - `params AIGatewayListParams` - `AccountID param.Field[string]` Path param - `Page param.Field[int64]` Query param - `PerPage param.Field[int64]` Query param - `Search param.Field[string]` Query param: Search by id ### Returns - `type AIGatewayListResponse struct{…}` - `ID string` gateway id - `CacheInvalidateOnUpdate bool` - `CacheTTL int64` - `CollectLogs bool` - `CreatedAt Time` - `ModifiedAt Time` - `RateLimitingInterval int64` - `RateLimitingLimit int64` - `Authentication bool` - `DLP AIGatewayListResponseDLP` - `type AIGatewayListResponseDLPObject struct{…}` - `Action AIGatewayListResponseDLPObjectAction` - `const AIGatewayListResponseDLPObjectActionBlock AIGatewayListResponseDLPObjectAction = "BLOCK"` - `const AIGatewayListResponseDLPObjectActionFlag AIGatewayListResponseDLPObjectAction = "FLAG"` - `Enabled bool` - `Profiles []string` - `type AIGatewayListResponseDLPObject struct{…}` - `Enabled bool` - `Policies []AIGatewayListResponseDLPObjectPolicy` - `ID string` - `Action AIGatewayListResponseDLPObjectPoliciesAction` - `const AIGatewayListResponseDLPObjectPoliciesActionFlag AIGatewayListResponseDLPObjectPoliciesAction = "FLAG"` - `const AIGatewayListResponseDLPObjectPoliciesActionBlock AIGatewayListResponseDLPObjectPoliciesAction = "BLOCK"` - `Check []AIGatewayListResponseDLPObjectPoliciesCheck` - `const AIGatewayListResponseDLPObjectPoliciesCheckRequest AIGatewayListResponseDLPObjectPoliciesCheck = "REQUEST"` - `const AIGatewayListResponseDLPObjectPoliciesCheckResponse AIGatewayListResponseDLPObjectPoliciesCheck = "RESPONSE"` - `Enabled bool` - `Profiles []string` - `IsDefault bool` - `LogManagement int64` - `LogManagementStrategy AIGatewayListResponseLogManagementStrategy` - `const AIGatewayListResponseLogManagementStrategyStopInserting AIGatewayListResponseLogManagementStrategy = "STOP_INSERTING"` - `const AIGatewayListResponseLogManagementStrategyDeleteOldest AIGatewayListResponseLogManagementStrategy = "DELETE_OLDEST"` - `Logpush bool` - `LogpushPublicKey string` - `Otel []AIGatewayListResponseOtel` - `Authorization string` - `Headers map[string, string]` - `URL string` - `ContentType AIGatewayListResponseOtelContentType` - `const AIGatewayListResponseOtelContentTypeJson AIGatewayListResponseOtelContentType = "json"` - `const AIGatewayListResponseOtelContentTypeProtobuf AIGatewayListResponseOtelContentType = "protobuf"` - `RateLimitingTechnique AIGatewayListResponseRateLimitingTechnique` - `const AIGatewayListResponseRateLimitingTechniqueFixed AIGatewayListResponseRateLimitingTechnique = "fixed"` - `const AIGatewayListResponseRateLimitingTechniqueSliding AIGatewayListResponseRateLimitingTechnique = "sliding"` - `RetryBackoff AIGatewayListResponseRetryBackoff` Backoff strategy for retry delays - `const AIGatewayListResponseRetryBackoffConstant AIGatewayListResponseRetryBackoff = "constant"` - `const AIGatewayListResponseRetryBackoffLinear AIGatewayListResponseRetryBackoff = "linear"` - `const AIGatewayListResponseRetryBackoffExponential AIGatewayListResponseRetryBackoff = "exponential"` - `RetryDelay int64` Delay between retry attempts in milliseconds (0-5000) - `RetryMaxAttempts int64` Maximum number of retry attempts for failed requests (1-5) - `StoreID string` - `Stripe AIGatewayListResponseStripe` - `Authorization string` - `UsageEvents []AIGatewayListResponseStripeUsageEvent` - `Payload string` - `WorkersAIBillingMode AIGatewayListResponseWorkersAIBillingMode` Controls how Workers AI inference calls routed through this gateway are billed. Only 'postpaid' is currently supported. - `const AIGatewayListResponseWorkersAIBillingModePostpaid AIGatewayListResponseWorkersAIBillingMode = "postpaid"` - `Zdr bool` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/ai_gateway" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) page, err := client.AIGateway.List(context.TODO(), ai_gateway.AIGatewayListParams{ AccountID: cloudflare.F("3ebbcb006d4d46d7bb6a8c7f14676cb0"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "result": [ { "id": "my-gateway", "cache_invalidate_on_update": true, "cache_ttl": 0, "collect_logs": true, "created_at": "2019-12-27T18:11:19.117Z", "modified_at": "2019-12-27T18:11:19.117Z", "rate_limiting_interval": 0, "rate_limiting_limit": 0, "authentication": true, "dlp": { "action": "BLOCK", "enabled": true, "profiles": [ "string" ] }, "is_default": true, "log_management": 10000, "log_management_strategy": "STOP_INSERTING", "logpush": true, "logpush_public_key": "xxxxxxxxxxxxxxxx", "otel": [ { "authorization": "authorization", "headers": { "foo": "string" }, "url": "url", "content_type": "json" } ], "rate_limiting_technique": "fixed", "retry_backoff": "constant", "retry_delay": 0, "retry_max_attempts": 1, "store_id": "store_id", "stripe": { "authorization": "authorization", "usage_events": [ { "payload": "payload" } ] }, "workers_ai_billing_mode": "postpaid", "zdr": true } ], "success": true } ```